/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: Source.java,v 8233f01770f2 2010/04/24 00:06:31 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.observation;

import java.io.Serializable;
import it.tidalwave.util.As;
import it.tidalwave.util.Displayable;
import org.openide.util.Lookup;

/*******************************************************************************
 *
 * Represents the source of a datum. When data are aggregated, {@code Source}
 * describes the origin of each item.
 * 
 * @author  Fabrizio Giudici
 * @version $Id: Source.java,v 8233f01770f2 2010/04/24 00:06:31 fabrizio $
 *
 ******************************************************************************/
public interface Source extends Displayable, Lookup.Provider, Serializable, As
  {
  }
